#include<stdio.h>
#include<stdlib.h>

struct porez
{
	int a;
	double p;
};

int compare(const void* s1, const void* s2)
{
	struct porez* p1 = (struct porez*)s1;
	struct porez* p2 = (struct porez*)s2;
	return p1->p - p2->p;
}

int main()
{
	struct porez porez[20005];
	int n;
	double curr;
	scanf("%d", &n);
	for (int i = 0; i < n; i++)
		scanf("%d%lf", &porez[i].a, &porez[i].p);

	qsort(porez, n, sizeof(struct porez), compare);

	for (int i = n-2; i >= 0; i--)
		porez[i].a += porez[i + 1].a;

	double max = 0.0;

	for (int i = 0; i < n; i++)
	{
		curr = (porez[i].p / 100) * porez[i].a;
		if (max < curr)
			max = curr;
	}
	printf("%lf",max);
	return 0;
}